Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.common
Class OWSCapabilitiesBaseType_1_0

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
          org.deegree.ogcwebservices.wass.common.OWSCapabilitiesBaseType_1_0

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WASCapabilities, WSSCapabilities

    public class OWSCapabilitiesBaseType_1_0

extends OGCCapabilities

Encapsulates: OWS capabilities according to V1.0 Namespace: http://www.opengis.net/ows

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`OWSCapabilitiesBaseType_1_0(String version, String updateSequence, ServiceIdentification serviceIdentification, ServiceProvider serviceProvider, OperationsMetadata_1_0 operationsMetadata, ArrayList<SupportedAuthenticationMethod> authenticationMethods)` Creates new instance from the given data.

Method Summary
`ArrayList<SupportedAuthenticationMethod>` | `getAuthenticationMethods()`
`OperationsMetadata_1_0` | `getOperationsMetadata()`
`ServiceIdentification` | `getServiceIdentification()`
`ServiceProvider` | `getServiceProvider()`
`boolean` | `isAnonymousAuthenticationSupported()`
`boolean` | `isAuthenticationMethodSupported(String authMethod)`
`boolean` | `isPasswordAuthenticationSupported()`
`boolean` | `isSessionAuthenticationSupported()`
`boolean` | `isWasAuthenticationSupported()`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
`getUpdateSequence, getVersion, setUpdateSequence, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWSCapabilitiesBaseType_1_0

    public OWSCapabilitiesBaseType_1_0(String version,
                                       String updateSequence,
                                       ServiceIdentification serviceIdentification,
                                       ServiceProvider serviceProvider,
                                       OperationsMetadata_1_0 operationsMetadata,
                                       ArrayList<SupportedAuthenticationMethod> authenticationMethods)

  Creates new instance from the given data.

  Parameters:
    `version` -
    `updateSequence` -
    `serviceIdentification` -
    `serviceProvider` -
    `operationsMetadata` -
    `authenticationMethods` -

Method Detail

### getOperationsMetadata

    public OperationsMetadata_1_0 getOperationsMetadata()

  Returns:
    the OperationsMetadata

### getServiceIdentification

    public ServiceIdentification getServiceIdentification()

  Returns:
    the ServiceIdentification

### getServiceProvider

    public ServiceProvider getServiceProvider()

  Returns:
    the ServiceProvider

### getAuthenticationMethods

    public ArrayList<SupportedAuthenticationMethod> getAuthenticationMethods()

  Returns:
    Returns the SupportedAuthenticationMethods.

### isAuthenticationMethodSupported

    public boolean isAuthenticationMethodSupported(String authMethod)

  Parameters:
    `authMethod` - the method to check for.
  Returns:
    true if the method is supported

### isAnonymousAuthenticationSupported

    public boolean isAnonymousAuthenticationSupported()

  Returns:
    Returns true if anonymousAuthentication is Supported.

### isPasswordAuthenticationSupported

    public boolean isPasswordAuthenticationSupported()

  Returns:
    Returns true if passwordAuthentication is Supported.

### isSessionAuthenticationSupported

    public boolean isSessionAuthenticationSupported()

  Returns:
    Returns true if sessionAuthentication is Supported.

### isWasAuthenticationSupported

    public boolean isWasAuthenticationSupported()

  Returns:
    Returns true if wasAuthentication (SAML) is Supported.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org